> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Airtable: Create Record

Create a single record in an Airtable base table. Use this to add new entries to your Airtable databases. Pass field values as key-value pairs. Ideal for: CRM entries, inventory tracking, lead capture, form submissions.

![Airtable: Create Record logo](https://ai-icon.b3.fun/logo/airtable)
Catalog action Integrations pipedream:airtable

Create a single record in an Airtable base table. Use this to add new entries to your Airtable databases. Pass field values as key-value pairs. Ideal for: CRM entries, inventory tracking, lead capture, form submissions.


## At a Glance

| Field | Value |
| --- | --- |
| Action ID | `airtable-create-record` |
| Category | Integrations |
| Connector | `pipedream:airtable` |
| Requires gas | No |
| Funds movement | None declared |
| Tags | `pipedream`, `integration`, `oauth`, `airtable`, `database`, `write`, `record`, `create`, `crm`, `inventory` |

## Payload Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `baseId` | `string` | Yes | Airtable base ID \(starts with 'app', e.g., 'appXXXXXXXXXXXXXX'\) |
| `tableId` | `string` | Yes | Table ID or table name |
| `fields` | `object` | Yes | Record fields as key-value pairs \(field name → value\) |
| `typecast` | `boolean` | No | Automatically cast field values \(default: false\) |

## Result Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | `boolean` | Yes | Whether the record was created successfully |
| `data` | `object` | No | Airtable API response data |
| `exports` | `object` | No | Exported values from the action |

## Examples

**Workflow node**

```json
{
  "type": "airtable-create-record",
  "payload": {
    "baseId": "example-baseId",
    "tableId": "example-tableId",
    "fields": {}
  },
  "children": [],
  "connector": {
    "type": "pipedream:airtable",
    "id": "conn_pipedream_airtable"
  }
}
```
  **Test with API**

```bash
curl -X POST "https://api.b3os.org/v1/actions/airtable-create-record/test" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "inputs": {
    "baseId": "example-baseId",
    "tableId": "example-tableId",
    "fields": {}
  }
}'
```

**Use expressions for dynamic values**

Payload fields can use workflow expressions such as `{{$trigger.body.amount}}`, `{{$nodes.fetch.result.price}}`, and `{{$props.asset}}` when the value should come from a trigger, prior node, or reusable workflow prop.